%define	upstream_name	 Mail-Mbox-MessageParser
%define	upstream_version 1.5111

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4
Epoch:      1

Summary:    A fast and simple mbox folder reader 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Mail/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.360.0
BuildRequires: perl(File::Path) >= 2.80.0
BuildRequires: perl(File::Slurper)
BuildRequires: perl(FileHandle::Unget)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::Compile)
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Diff)
BuildRequires: perl(UNIVERSAL::require)
BuildRequires: perl(URI::Escape)
BuildArch:  noarch

%description
This module implements a fast but simple mbox folder reader. One of three
implementations (Cache, Grep, Perl) will be used depending on the wishes of the
user and the system configuration. The first implementation is a cached-based
one which stores email information about mailboxes on the file system.
Subsequent accesses will be faster because no analysis of the mailbox will be
needed. The second implementation is one based on GNU grep, and is
significantly faster than the Perl version for mailboxes which contain very
large (10MB) emails. The final implementation is a fast Perl-based one which
should always be applicable.

The Cache implementation is about 6 times faster than the standard Perl
implementation. The Grep implementation is about 4 times faster than the
standard Perl implementation. If you have GNU grep, it's best to enable both
the Cache and Grep implementations. If the cache information is available,
you'll get very fast speeds. Otherwise, you'll take about a 1/3 performance hit
when the Grep version is used instead.

The overriding requirement for this module is speed. If you wish more
sophisticated parsing, use Mail::MboxParser (which is based on this module) or
Mail::Box.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor < /dev/null
%make_build

%check
%{__make} test

%install
%make_install

%files
%doc CHANGES LICENSE META.yml MYMETA.yml README TODO
%{perl_vendorlib}/Mail
%{_mandir}/man3/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1:1.511.100-4.mga10
+ Revision: 2205128
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 1:1.511.100-3.mga9
+ Revision: 1811040
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 1:1.511.100-2.mga8
+ Revision: 1519845
- Mageia 8 Mass Rebuild

* Mon Oct 22 2018 tv <tv> 1:1.511.100-1.mga7
+ Revision: 1323621
- update to 1.5111

* Thu Sep 20 2018 umeabot <umeabot> 1:1.510.500-6.mga7
+ Revision: 1284741
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1:1.510.500-5.mga7
+ Revision: 1165287
- rebuild with fixed rpm for missing autodeps

* Wed Sep 27 2017 tv <tv> 1:1.510.500-4.mga7
+ Revision: 1160241
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 1:1.510.500-3.mga6
+ Revision: 1029504
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1:1.510.500-2.mga6
+ Revision: 968064
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 1:1.510.500-1.mga6
+ Revision: 851217
- update to 1.5105

* Wed Oct 15 2014 umeabot <umeabot> 1:1.500.200-6.mga5
+ Revision: 749742
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.500.200-5.mga5
+ Revision: 685316
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1:1.500.200-4.mga4
+ Revision: 512725
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1:1.500.200-3.mga3
+ Revision: 369421
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 17 2011 jquelin <jquelin> 1:1.500.200-2.mga2
+ Revision: 134198
- fix upstream rt#58053

* Mon Jan 24 2011 jquelin <jquelin> 1:1.500.200-1.mga1
+ Revision: 36412
- mageia rebuild
- imported package perl-Mail-Mbox-MessageParser


* Tue Sep 15 2009 Jérôme Quelin <jquelin@mandriva.org> 1:1.500.200-1mdv2010.0
+ Revision: 442942
- bumping epoch
- update to 1.5002

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.5000-5mdv2010.0
+ Revision: 430485
- rebuild

* Wed Oct 01 2008 Oden Eriksson <oeriksson@mandriva.com> 1.5000-4mdv2009.0
+ Revision: 290413
- sync with fedora

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed May 02 2007 Olivier Thauvin <nanardon@mandriva.org> 1.5000-1mdv2008.0
+ Revision: 20264
- 1.5000


* Mon Aug 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.4005-1mdv2007.0
- New version 1.4005

* Thu Jun 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.4003-1mdv2007.0
- New release 1.4003
- this is a noarch package

* Wed May 03 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.4002-2mdk
- Fix According to perl Policy
	- BuildRequires
	- Source URL

* Mon Mar 06 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.4002-1mdk
- New release 1.4002

* Wed Dec 14 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.4001-2mdk
- spec cleanup
- don't ship empty directories
- %%mkrel
- better summary and description

* Thu Aug 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.4001-1mdk
- New release 1.4001

* Sun Jul 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.4000-1mdk
- initial Mandriva package

